Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::D3D9VideoModeList Class Reference

`#include <OgreD3D9VideoModeList.h>`

List of all members.

## Public Methods

| D3D9VideoModeList (D3D9Driver *pDriver)
| ~D3D9VideoModeList ()
BOOL | enumerate ()
D3D9VideoMode * | item (size_t index)
size_t | count ()
D3D9VideoMode * | item (const String &name)

## Private Attributes

D3D9Driver * | mpDriver
std::vector< D3D9VideoMode > | mModeList

## Constructor & Destructor Documentation

Ogre::D3D9VideoModeList::D3D9VideoModeList | ( | D3D9Driver * | pDriver | ) |

| Definition at line 30 of file OgreD3D9VideoModeList.cpp. References enumerate(), Except, and mpDriver.

Ogre::D3D9VideoModeList::~D3D9VideoModeList | ( |  | ) |

| Definition at line 39 of file OgreD3D9VideoModeList.cpp. References mModeList, and mpDriver.

## Member Function Documentation

size_t Ogre::D3D9VideoModeList::count | ( |  | ) |

| Definition at line 116 of file OgreD3D9VideoModeList.cpp. References mModeList. Referenced by Ogre::D3D9RenderSystem::initialise(), and Ogre::D3D9RenderSystem::refreshD3DSettings().

BOOL Ogre::D3D9VideoModeList::enumerate | ( |  | ) |

| Definition at line 45 of file OgreD3D9VideoModeList.cpp. References Ogre::D3D9Driver::getAdapterNumber(), Ogre::D3D9Driver::getD3D(), mModeList, and mpDriver. Referenced by D3D9VideoModeList().

D3D9VideoMode * Ogre::D3D9VideoModeList::item | ( | const String & | name | ) |

| Definition at line 128 of file OgreD3D9VideoModeList.cpp. References mModeList, and Ogre::String.

D3D9VideoMode * Ogre::D3D9VideoModeList::item | ( | size_t | index | ) |

| Definition at line 121 of file OgreD3D9VideoModeList.cpp. References mModeList. Referenced by Ogre::D3D9RenderSystem::initialise(), Ogre::D3D9RenderSystem::refreshD3DSettings(), and Ogre::D3D9RenderSystem::setConfigOption().

## Member Data Documentation

std::vector<D3D9VideoMode> Ogre::D3D9VideoModeList::mModeList`[private]`

| Definition at line 38 of file OgreD3D9VideoModeList.h. Referenced by count(), enumerate(), item(), and ~D3D9VideoModeList().

D3D9Driver* Ogre::D3D9VideoModeList::mpDriver`[private]`

| Definition at line 37 of file OgreD3D9VideoModeList.h. Referenced by D3D9VideoModeList(), enumerate(), and ~D3D9VideoModeList().

The documentation for this class was generated from the following files:

- OgreD3D9VideoModeList.h
- OgreD3D9VideoModeList.cpp

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:49:29 2004